Debian 2.6.8-16 pour AmigaOne

Après quelques jours de tests par des possesseurs d’AmigaOnes, le kernel de la Debian 2.6.8-16 est disponible pour tous.

Pour fonctionner, vous devrez appliquer un patch pour le DMA, initialement développé par geri, ou utiliser le kernel et les modules précompilés mis à disposition sur le site de PegXLin.

À noter que cela ne fonctionnera pas correctement si vous avez un processeur GX (que l’on retrouve dans les SEs et µAOnes). Les autres processeurs ne sont pas affectés.

Télécharger :

(11 commentaires)

Passer au formulaire de commentaire

    • anonyme on 12 décembre 2005 at 22 h 35 min

    à quoi sert le patch ? 😀

    • crisot on 13 décembre 2005 at 1 h 45 min

    A transformer un driver générique en driver adapté.

    • pipo on 13 décembre 2005 at 7 h 15 min

    Ou à faire parler les trolls peut être ? 😀

    • ACE on 13 décembre 2005 at 7 h 21 min

    Mode verité:

    Il sert à contourner les problemes de corruption dma provoqué par l’articia selon l’auteur meme du patch c’est d’ailleur pour cela que les noyaux 2.6 ne fonctionnais pas sur pegasos1 jusqu’a ce patch.
    Apres tant qu’il y a une solution c’est pas si grave…moi je suis bien content de mon Peg1,je pense que d’autre sont content de leurs Aone malgré ces bugs la machine fonctionne comme mon peg1 fonctionne tel ue horloge (sous mos)

    HORS SUJET : d’ailleurs je n’ai plus de pc, je l’ai vendu. Wais ! Moi j’ai eu les couilles et bien vous savez quoi ? il ne me manque pas ! mais alors pas du tout ! et ma copine a adopte le peg !

    Pipo ce patch sert à faire fonctionner les Aone comme il faut sous nux,tout comme les peg1 les deux ordi ayant le meme……. ils ont les meme…… logique ! Fo arreter de se voiler la face ! et apres c’est buggé on s’en fout si il y a des mecs qui font des patch c quand meme fonctionnel !

    • Tom on 13 décembre 2005 at 9 h 54 min

    Hmm je ne suis pas sûr à propos de cette histoire de processeur.

    En fait il y avait un soucis sous OS4 avec les processeurs 750GX, qui n’étaient pas encore supportés avant la pre-release 3.

    Par contre les 750FX, qui étaient fournis au début de la commercialisation du µA1, n’avait pas de problème.
    Quant aux A1 SE, je crois bien qu’ils étaient équipé de 750CXe, encore une autre version.

    Je ne serais pas étonné, donc, que ce noyau 2.6 fonctionne quand même sur les premiers µA1 et les SE/XE.

    Peut-être certains pourront tester cela et nous dire ce qu’il en est. Moi j’ai un 750GX et de toute façon, linux sur mon µA1 j’en ai rien à battre.

    • Lion on 13 décembre 2005 at 11 h 26 min

    surement parce que tu as ton pc a cote, ce qui n est pas le cas de tout le monde !
    Lio

    • elwood on 13 décembre 2005 at 15 h 00 min

    Hello,

    au début je voulais poster un commentaire mais ce serait un peu hors-sujet alors je vais aller le mettre dans guéguerre comme ça certains s’en donneront à coeur joie.

    En tout cas, je salue bien longuement la persistance de Pegxlin (et d’autres) de passer autant de temps sur un système qui ne remporte pas autant de suffrages qu’un certain autre OS sur la même machine.

  1. En tout cas, je salue bien longuement la persistance de Pegxlin (et d’autres) de passer autant de temps sur un système qui ne remporte pas autant de suffrages qu’un certain autre OS sur la même machine.

    http://www.ppczone.org

    • svenl on 14 décembre 2005 at 13 h 28 min

    Desole, mais c’est du n’importe quoi. Le kernel 2.6 fonctionne tres bien sur pegasos 1, j’avais mon peg1 qui tournait pendant plusieurs mois avec un noyau 2.6 avant que je le remplace par un peg2, avec une activite modere a haute (X, galeon, openoffice, daily builds du debian-installer, irssi, ssh et mutt).

    La seule mention du pegasos 1 en relation avec ce patch vient de David Bentham, mais il n’a jamais teste de noyaux 2.6, uniquement des noyaux 2.4, qui sont maintenant obsolet sur powerpc depuis deux ans.

    Le pegasos 1 (April 2) a patche ce probleme en hardware, alors que les gars de l’amigaone et de mai ont choisi de nier le probleme, donc ce patch bien que necessaire sur aone, n’aura aucune influence sur pegasos.

    Pour info, le lien suivant :
    thread original

    Montre le thread original du poste de ce patch sur debian-powerpc, et la suite en decembre :

    suite du thread

    Amicalement,

    Sven Luther

  2. @svenl:
    j’ai un peg1 April 1, est-ce que ça aurait une influence sur cette machine ?
    (je n’ai pas encore commencé d’installer linux sur cette machine (morphos non plus d’ailleurs, enfin, pas pour de vrai))

    • anonyme on 14 décembre 2005 at 23 h 39 min

    08Oct2004:[22:09] D’ailleurs, quand ils verront la machine que j’ai sous les yeux, faire tourner les drivers dma linux sans retouche, ou bien l’ide via en dma sans interférence avec rien du tout, ils prétendront :
    – qu’on a fixé l’articia
    – qu’on a ajouté des chips april de partout
    – que de toute façon c’est un fake

Les commentaires sont désactivés.

Do NOT follow this link or you will be banned from the site!